## rapidfuzz-cpp 3.0.2

=== CMakeLists.txt ===
# Cmake config largely taken from catch2
cmake_minimum_required(VERSION 3.5)

if(CMAKE_VERSION VERSION_GREATER_EQUAL 3.24)
  cmake_policy(SET CMP0135 NEW)
endif()

# detect if Catch is being bundled,
# disable testsuite in that case
if(NOT DEFINED PROJECT_NAME)
  set(NOT_SUBPROJECT ON)
  # If RapidFuzz is not being used as a subproject via `add_subdirectory`,
  # usually installation is required
  option(RAPIDFUZZ_INSTALL "Install rapidfuzz" ON)
else()
  set(NOT_SUBPROJECT OFF)
  # If RapidFuzz is being used as a subproject via `add_subdirectory`,
  # chances are that the "main project" does not include RapidFuzz headers
  # in any of its headers, in which case installation is not needed.
  option(RAPIDFUZZ_INSTALL "Install rapidfuzz (Projects embedding rapidfuzz may want to turn this OFF.)" OFF)
endif()

option(RAPIDFUZZ_BUILD_TESTING "Build tests" OFF)
option(RAPIDFUZZ_ENABLE_LINTERS "Enable Linters for the test builds" OFF)
option(RAPIDFUZZ_BUILD_BENCHMARKS "Build benchmarks" OFF)
option(RAPIDFUZZ_BUILD_FUZZERS "Build fuzzers" OFF)

# RapidFuzz's build breaks if done in-tree. You probably should not build
# things in tree anyway, but we can allow projects that include RapidFuzz
# as a subproject to build in-tree as long as it is not in our tree.
if (CMAKE_BINARY_DIR STREQUAL CMAKE_CURRENT_SOURCE_DIR)
    message(FATAL_ERROR "Building in-source is not supported! Create a build dir and remove ${CMAKE_SOURCE_DIR}/CMakeCache.txt")
endif()

project(rapidfuzz LANGUAGES CXX VERSION 3.0.2)

list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_LIST_DIR}/cmake")
include(GNUInstallDirs)
include(CMakePackageConfigHelpers)

# Basic paths
set(BASE_DIR ${CMAKE_CURRENT_SOURCE_DIR})
set(SOURCES_DIR ${BASE_DIR}/rapidfuzz)
set(TEST_DIR ${BASE_DIR}/test)
set(BENCHMARK_DIR ${BASE_DIR}/tests/bench)
set(EXAMPLES_DIR ${BASE_DIR}/examples)

add_library(rapidfuzz INTERFACE)

# provide a namespaced alias for clients to 'link' against if RapidFuzz is included as a sub-project
add_library(rapidfuzz::rapidfuzz ALIAS rapidfuzz)

target_compile_features(rapidfuzz INTERFACE cxx_std_17)

target_include_directories(rapidfuzz
    INTERFACE
      $<BUILD_INTERFACE:${SOURCES_DIR}/..>
      $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
)

# Build tests only if requested
if(RAPIDFUZZ_BUILD_TESTING AND NOT_SUBPROJECT)
    include(CTest)
    enable_testing()
    add_subdirectory(test)
endif()

# Build examples only if requested
if(RAPIDFUZZ_BUILD_EXAMPLES)
    #add_subdirectory(examples)
endif()

# Build benchmarks only if requested
if(RAPIDFUZZ_BUILD_BENCHMARKS)
  add_subdirectory(bench)
endif()

# Build fuzz tests only if requested
if(RAPIDFUZZ_BUILD_FUZZERS)
    add_subdirectory(fuzzing)
endif()

if (RAPIDFUZZ_INSTALL)
    set(RAPIDFUZZ_CMAKE_CONFIG_DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/rapidfuzz")

    install(
        TARGETS
          rapidfuzz
        EXPORT
          rapidfuzzTargets
        DESTINATION
          ${CMAKE_INSTALL_LIBDIR}
    )

    install(
        EXPORT
          rapidfuzzTargets
        NAMESPACE
          rapidfuzz::
        DESTINATION
          ${RAPIDFUZZ_CMAKE_CONFIG_DESTINATION}
    )

    install(
        DIRECTORY
          rapidfuzz
        DESTINATION
          ${CMAKE_INSTALL_INCLUDEDIR}
        FILES_MATCHING
          PATTERN "*.hpp"
          PATTERN "*.impl"
    )

    configure_package_config_file(
        ${CMAKE_CURRENT_LIST_DIR}/cmake/${PROJECT_NAME}Config.cmake.in
        ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}Config.cmake
        INSTALL_DESTINATION ${RAPIDFUZZ_CMAKE_CONFIG_DESTINATION}
    )

    write_basic_package_version_file(
        "${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}ConfigVersion.cmake"
        COMPATIBILITY SameMajorVersion
    )

    install(
      FILES
        "${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}Config.cmake"
        "${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}ConfigVersion.cmake"
      DESTINATION
        ${RAPIDFUZZ_CMAKE_CONFIG_DESTINATION}
    )

    # CPack/CMake started taking the package version from project version 3.12
    # So we need to set the version manually for older CMake versions
    if(${CMAKE_VERSION} VERSION_LESS "3.12.0")
        set(CPACK_PACKAGE_VERSION ${PROJECT_VERSION})
    endif()

    set(CPACK_PACKAGE_VENDOR "Max Bachmann")
    set(CPACK_PACKAGE_CONTACT "https://github.com/rapidfuzz/rapidfuzz-cpp")
    include(CPack)

endif(RAPIDFUZZ_INSTALL)

=== examples/cmake_export/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(foo LANGUAGES CXX VERSION 0.0.1)

# The example library publicly dependent on RapidFuzz (includes
# rapidfuzz.hpp in foo_lib.hpp), necessitating RapidFuzz's installation
set(RAPIDFUZZ_INSTALL ON CACHE INTERNAL "")
add_subdirectory(${CMAKE_SOURCE_DIR}/../..
                 ${CMAKE_SOURCE_DIR}/../../build)

add_library(foo foo_lib.cc)
add_library(foo::foo ALIAS foo)
target_link_libraries(foo rapidfuzz)

list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_LIST_DIR}/cmake")
include(GNUInstallDirs)
include(CMakePackageConfigHelpers)

set(FOO_CMAKE_CONFIG_DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/foo")
install(TARGETS foo EXPORT fooTargs DESTINATION ${CMAKE_INSTALL_LIBDIR})
install(EXPORT fooTargs NAMESPACE foo:: DESTINATION ${FOO_CMAKE_CONFIG_DESTINATION})

configure_package_config_file(
    ${CMAKE_CURRENT_LIST_DIR}/${PROJECT_NAME}Config.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}Config.cmake
    INSTALL_DESTINATION ${FOO_CMAKE_CONFIG_DESTINATION}
)
write_basic_package_version_file(
    "${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}ConfigVersion.cmake"
    COMPATIBILITY SameMajorVersion
)

install(
    FILES
    "${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}Config.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}ConfigVersion.cmake"
    DESTINATION
    ${FOO_CMAKE_CONFIG_DESTINATION}
)
install(FILES foo_lib.hpp DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})

=== debian/changelog ===
rapidfuzz-cpp (3.0.2-3) unstable; urgency=medium

  * Switch to arch: any, as the generated CMake* files are different on
    32- and 64-bit architectures

 -- Julian Gilbey <jdg@debian.org>  Fri, 19 Apr 2024 10:52:18 +0100

rapidfuzz-cpp (3.0.2-2) unstable; urgency=medium

  * Source-only upload

 -- Julian Gilbey <jdg@debian.org>  Thu, 18 Apr 2024 21:36:05 +0100

rapidfuzz-cpp (3.0.2-1) unstable; urgency=low

  * Initial release (closes: #1019431)

 -- Julian Gilbey <jdg@debian.org>  Wed, 06 Mar 2024 08:51:12 +0000

=== debian/control ===
Source: rapidfuzz-cpp
Section: libs
Priority: optional
Maintainer: Julian Gilbey <jdg@debian.org>
Build-Depends: catch2,
               cmake,
               debhelper-compat (= 13),
               doxygen
Standards-Version: 4.6.2
Homepage: https://github.com/maxbachmann/RapidFuzz
Vcs-Browser: https://salsa.debian.org/python-team/packages/rapidfuzz
Vcs-Git: https://salsa.debian.org/python-team/packages/rapidfuzz.git
Rules-Requires-Root: no
Description: Rapid fuzzy string matching library
 RapidFuzz is a fast string matching library for Python and C++,
 providing Levenshtein and other distances.  This is similar to the
 functionality of the python3-fuzzywuzzy package.  There are a few
 significant differences between these packages:
 .
 1) RapidFuzz is MIT licensed.
 2) RapidFuzz provides many string metrics, such as Hamming and Jaro-Winkler,
    which are not included in FuzzyWuzzy.
 3) RapidFuzz is mostly written in C++, and has further algorithmic
    improvements to make string matching even faster.
 4) RapidFuzz fixes multiple bugs in the `partial_ratio` implementation.

Package: librapidfuzz-cpp-dev
Section: libdevel
Architecture: any
Multi-Arch: no
Depends: ${misc:Depends}
Description: ${source:Synopsis} (C++ header files)
 ${source:Extended-Description}
 .
 This package provides the C++ header files for RapidFuzz.

Package: librapidfuzz-cpp-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: librapidfuzz-cpp-dev
Description: ${source:Synopsis} (C++ library documentation)
 ${source:Extended-Description}
 .
 This package contains the RapidFuzz C++ library documentation in HTML format.
Build-Profiles: <!nodoc>

=== debian/rules ===
#! /usr/bin/make -f

DEBIANDIR = $(shell pwd)/debian

%:
	dh $@

# We want to install the arch-independent headers in /usr/lib
override_dh_auto_configure:
	mkdir -p buildlib
	cd buildlib && cmake ../ \
	    -D CMAKE_INSTALL_PREFIX=$(DEBIANDIR)/librapidfuzz-cpp-dev/usr

override_dh_auto_build:
	: # Dummy to force the target to alway be run
ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
	doxygen
endif

override_dh_auto_install:
	cd buildlib && make install

ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
override_dh_installdocs:
	dh_installdocs -plibrapidfuzz-cpp-doc --doc-main-package=librapidfuzz-cpp-dev
	dh_installdocs --remaining-packages
endif

override_dh_auto_test:
	: # Dummy to force the target to alway be run
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	mkdir -p buildtest
	cd buildtest && cmake ../ -D RAPIDFUZZ_BUILD_TESTING=ON
	cd buildtest && make
	cd buildtest && make test || \
	    make test ARGS="--rerun-failed --output-on-failure"
endif

execute_before_dh_auto_clean:
	rm -rf doxygen build*

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/maxbachmann/rapidfuzz-cpp/tags \
    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@

## rapidfuzz-cpp 3.0.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -32,7 +32,7 @@
     message(FATAL_ERROR "Building in-source is not supported! Create a build dir and remove ${CMAKE_SOURCE_DIR}/CMakeCache.txt")
 endif()
 
-project(rapidfuzz LANGUAGES CXX VERSION 3.0.2)
+project(rapidfuzz LANGUAGES CXX VERSION 3.0.5)
 
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_LIST_DIR}/cmake")
 include(GNUInstallDirs)

=== test/distance/CMakeLists.txt ===
function(rapidfuzz_add_test test)
    add_executable(test_${test} tests-${test}.cpp examples/ocr.cpp examples/pythonLevenshteinIssue9.cpp)
    target_link_libraries(test_${test} PRIVATE ${PROJECT_NAME})
    target_link_libraries(test_${test} PRIVATE Catch2::Catch2WithMain)
    if (RAPIDFUZZ_ENABLE_LINTERS)
        target_link_libraries(test_${test} PRIVATE project_warnings)
    endif()

    #target_compile_options(test_${test} PRIVATE -g -fsanitize=address)
    #target_link_libraries(test_${test} PRIVATE -fsanitize=address)

    add_test(NAME ${test} COMMAND test_${test})
endfunction()

rapidfuzz_add_test(Hamming)
rapidfuzz_add_test(Indel)
rapidfuzz_add_test(LCSseq)
rapidfuzz_add_test(Levenshtein)
rapidfuzz_add_test(DamerauLevenshtein)
rapidfuzz_add_test(OSA)
rapidfuzz_add_test(Jaro)
rapidfuzz_add_test(JaroWinkler)

=== debian/changelog ===
rapidfuzz-cpp (3.0.5-1) unstable; urgency=medium

  * New upstream version

 -- Julian Gilbey <jdg@debian.org>  Sun, 14 Jul 2024 07:17:49 +0100

rapidfuzz-cpp (3.0.2-5) unstable; urgency=medium

  * Only run tests when building arch package and build doc when building
    arch-indep package

 -- Julian Gilbey <jdg@debian.org>  Mon, 22 Apr 2024 06:42:27 +0100

rapidfuzz-cpp (3.0.2-4) unstable; urgency=medium

  * Fix install locations for arch: any -dev package; allows this package
    to be Multi-Arch: same
  * Fix documentation build (depend on bibtex)

 -- Julian Gilbey <jdg@debian.org>  Sun, 21 Apr 2024 22:35:18 +0100

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,13 @@
 Section: libs
 Priority: optional
 Maintainer: Julian Gilbey <jdg@debian.org>
-Build-Depends: catch2,
-               cmake,
-               debhelper-compat (= 13),
-               doxygen
-Standards-Version: 4.6.2
+Build-Depends: debhelper-compat (= 13)
+Build-Depends-Arch: catch2 <!nocheck>,
+                    cmake
+Build-Depends-Indep: doxygen,
+                     graphviz,
+                     texlive-binaries
+Standards-Version: 4.7.0
 Homepage: https://github.com/maxbachmann/RapidFuzz
 Vcs-Browser: https://salsa.debian.org/python-team/packages/rapidfuzz
 Vcs-Git: https://salsa.debian.org/python-team/packages/rapidfuzz.git
@@ -27,7 +29,7 @@
 Package: librapidfuzz-cpp-dev
 Section: libdevel
 Architecture: any
-Multi-Arch: no
+Multi-Arch: same
 Depends: ${misc:Depends}
 Description: ${source:Synopsis} (C++ header files)
  ${source:Extended-Description}

=== debian/rules ===
#! /usr/bin/make -f

DEBIANDIR = $(shell pwd)/debian

%:
	dh $@

override_dh_auto_configure-indep:

execute_after_dh_auto_build-indep:
	: # Dummy to force the target to always be run
ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
	doxygen
endif

ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
override_dh_installdocs:
	dh_installdocs -plibrapidfuzz-cpp-doc --doc-main-package=librapidfuzz-cpp-dev
	dh_installdocs --remaining-packages
endif

override_dh_auto_test-arch:
	: # Dummy to force the target to alway be run
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	mkdir -p buildtest
	cd buildtest && cmake ../ -D RAPIDFUZZ_BUILD_TESTING=ON
	cd buildtest && make
	cd buildtest && make test || \
	    make test ARGS="--rerun-failed --output-on-failure"
endif

override_dh_auto_test-indep:

execute_before_dh_auto_clean:
	rm -rf doxygen buildtest

## rapidfuzz-cpp 3.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -32,7 +32,7 @@
     message(FATAL_ERROR "Building in-source is not supported! Create a build dir and remove ${CMAKE_SOURCE_DIR}/CMakeCache.txt")
 endif()
 
-project(rapidfuzz LANGUAGES CXX VERSION 3.0.5)
+project(rapidfuzz LANGUAGES CXX VERSION 3.1.1)
 
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_LIST_DIR}/cmake")
 include(GNUInstallDirs)

=== fuzzing/CMakeLists.txt ===
function(create_fuzzer fuzzer)
    add_executable(fuzz_${fuzzer} fuzz_${fuzzer}.cpp)
    target_compile_features(fuzz_${fuzzer} PUBLIC cxx_std_17)
    target_link_libraries(fuzz_${fuzzer} PRIVATE rapidfuzz::rapidfuzz)

    target_compile_options(fuzz_${fuzzer} PRIVATE -g -O1 -fsanitize=fuzzer,address -march=native)
    target_link_libraries(fuzz_${fuzzer} PRIVATE -fsanitize=fuzzer,address)
endfunction(create_fuzzer)

create_fuzzer(lcs_similarity)

create_fuzzer(levenshtein_distance)
create_fuzzer(levenshtein_editops)

create_fuzzer(indel_distance)
create_fuzzer(indel_editops)

create_fuzzer(osa_distance)

create_fuzzer(damerau_levenshtein_distance)

create_fuzzer(jaro_similarity)

=== test/CMakeLists.txt ===
find_package(Catch2 3 QUIET)
if (Catch2_FOUND)
    message("Using system supplied version of Catch2")
else()
    message("Using FetchContent to load Catch2")
    include(FetchContent)
    FetchContent_Declare(
        Catch2
        GIT_REPOSITORY  https://github.com/catchorg/Catch2.git
        GIT_TAG         v3.4.0
    )
    FetchContent_MakeAvailable(Catch2)
endif()

if (RAPIDFUZZ_ENABLE_LINTERS)
    # include aminya & jason turner's C++ best practices recommended cmake project utilities
    message("Enable Linters on test build")
    include(FetchContent)

    if(CMAKE_VERSION VERSION_GREATER_EQUAL 3.20)
        FetchContent_Declare(_project_options URL https://github.com/aminya/project_options/archive/refs/tags/v0.26.2.zip)
    else()
        FetchContent_Declare(_project_options URL https://github.com/aminya/project_options/archive/refs/tags/v0.25.2.zip)
    endif()
    FetchContent_MakeAvailable(_project_options)
    include(${_project_options_SOURCE_DIR}/Index.cmake)

    project_options(
            # ENABLE_CACHE
            # ENABLE_CONAN
            WARNINGS_AS_ERRORS
            # ENABLE_CPPCHECK
            # ENABLE_CLANG_TIDY
            # ENABLE_INCLUDE_WHAT_YOU_USE
            # ENABLE_COVERAGE
            # ENABLE_PCH
            # PCH_HEADERS <Eigen/Dense> <fmt/core.h> <vector> <utility> <string> <string_view>
            # ENABLE_DOXYGEN
            # ENABLE_IPO
            # ENABLE_USER_LINKER
            # ENABLE_BUILD_WITH_TIME_TRACE
            # ENABLE_UNITY
            # ENABLE_SANITIZER_ADDRESS
            # ENABLE_SANITIZER_LEAK
            # ENABLE_SANITIZER_UNDEFINED_BEHAVIOR
            # ENABLE_SANITIZER_THREAD
            # ENABLE_SANITIZER_MEMORY
            # CLANG_WARNINGS "-Weverything"
    )
endif()

function(rapidfuzz_add_test test)
    add_executable(test_${test} tests-${test}.cpp)
    target_link_libraries(test_${test} ${PROJECT_NAME})
    target_link_libraries(test_${test} Catch2::Catch2WithMain)
    if (RAPIDFUZZ_ENABLE_LINTERS)
        target_link_libraries(test_${test} project_warnings)
    endif()
    add_test(NAME ${test} COMMAND test_${test})
endfunction()

rapidfuzz_add_test(fuzz)
rapidfuzz_add_test(common)

add_subdirectory(distance)

=== debian/changelog ===
rapidfuzz-cpp (3.1.1-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.
  * debian/control: Require catch2 3.x.

 -- Boyuan Yang <byang@debian.org>  Fri, 20 Dec 2024 13:48:08 -0500

rapidfuzz-cpp (3.1.1-1) unstable; urgency=medium

  * New upstream version
  * Change maintainer to Debian Python Team with me as Uploader (always my
    intention, but somehow didn't do it when I first packaged it)

 -- Julian Gilbey <jdg@debian.org>  Tue, 19 Nov 2024 06:55:05 +0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: rapidfuzz-cpp
 Section: libs
 Priority: optional
-Maintainer: Julian Gilbey <jdg@debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Julian Gilbey <jdg@debian.org>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: catch2 <!nocheck>,
+Build-Depends-Arch: catch2 (>= 3.2) <!nocheck>,
                     cmake
 Build-Depends-Indep: doxygen,
                      graphviz,

## rapidfuzz-cpp 3.3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -32,7 +32,7 @@
     message(FATAL_ERROR "Building in-source is not supported! Create a build dir and remove ${CMAKE_SOURCE_DIR}/CMakeCache.txt")
 endif()
 
-project(rapidfuzz LANGUAGES CXX VERSION 3.1.1)
+project(rapidfuzz LANGUAGES CXX VERSION 3.3.1)
 
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_LIST_DIR}/cmake")
 include(GNUInstallDirs)
@@ -50,7 +50,7 @@
 # provide a namespaced alias for clients to 'link' against if RapidFuzz is included as a sub-project
 add_library(rapidfuzz::rapidfuzz ALIAS rapidfuzz)
 
-target_compile_features(rapidfuzz INTERFACE cxx_std_17)
+target_compile_features(rapidfuzz INTERFACE cxx_std_11)
 
 target_include_directories(rapidfuzz
     INTERFACE

=== debian/changelog ===
rapidfuzz-cpp (3.3.1-1) unstable; urgency=medium

  * New upstream version

 -- Julian Gilbey <jdg@debian.org>  Thu, 23 Jan 2025 20:45:34 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Julian Gilbey <jdg@debian.org>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: catch2 (>= 3.2) <!nocheck>,
+Build-Depends-Arch: catch2 <!nocheck>,
                     cmake
 Build-Depends-Indep: doxygen,
                      graphviz,

=== debian/tests/control ===
Tests: rapidfuzz-cpp-tests
Depends: catch2,
         cmake,
         g++,
         librapidfuzz-cpp-dev
Restrictions: allow-stderr

## rapidfuzz-cpp 3.3.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Cmake config largely taken from catch2
-cmake_minimum_required(VERSION 3.5)
+cmake_minimum_required(VERSION 3.5..3.31)
 
 if(CMAKE_VERSION VERSION_GREATER_EQUAL 3.24)
   cmake_policy(SET CMP0135 NEW)
@@ -32,7 +32,7 @@
     message(FATAL_ERROR "Building in-source is not supported! Create a build dir and remove ${CMAKE_SOURCE_DIR}/CMakeCache.txt")
 endif()
 
-project(rapidfuzz LANGUAGES CXX VERSION 3.3.1)
+project(rapidfuzz LANGUAGES CXX VERSION 3.3.2)
 
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_LIST_DIR}/cmake")
 include(GNUInstallDirs)

=== debian/changelog ===
rapidfuzz-cpp (3.3.2-1) unstable; urgency=medium

  * New upstream version
  * Fix Vcs-* locations in d/control

 -- Julian Gilbey <jdg@debian.org>  Tue, 01 Apr 2025 12:28:54 +0100

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,10 @@
 Build-Depends-Indep: doxygen,
                      graphviz,
                      texlive-binaries
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/maxbachmann/RapidFuzz
-Vcs-Browser: https://salsa.debian.org/python-team/packages/rapidfuzz
-Vcs-Git: https://salsa.debian.org/python-team/packages/rapidfuzz.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/rapidfuzz-cpp
+Vcs-Git: https://salsa.debian.org/python-team/packages/rapidfuzz-cpp.git
 Rules-Requires-Root: no
 Description: Rapid fuzzy string matching library
  RapidFuzz is a fast string matching library for Python and C++,
